org.springframework.data.domain

## Class ExampleMatcher.GenericPropertyMatchers

- java.lang.Object
- - org.springframework.data.domain.ExampleMatcher.GenericPropertyMatchers

Enclosing interface:
  ExampleMatcher

    public static class ExampleMatcher.GenericPropertyMatchers
    extends Object

Predefined property matchers to create a `ExampleMatcher.GenericPropertyMatcher`.

Author:
  Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`GenericPropertyMatchers()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExampleMatcher.GenericPropertyMatcher` `caseSensitive()` Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string case sensitive.
`static ExampleMatcher.GenericPropertyMatcher` `contains()` Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.CONTAINING`.
`static ExampleMatcher.GenericPropertyMatcher` `endsWith()` Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.ENDING`.
`static ExampleMatcher.GenericPropertyMatcher` `exact()` Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.EXACT`.
`static ExampleMatcher.GenericPropertyMatcher` `ignoreCase()` Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string case insensitive.
`static ExampleMatcher.GenericPropertyMatcher` `regex()` Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.REGEX`.
`static ExampleMatcher.GenericPropertyMatcher` `startsWith()` Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.STARTING`.
`static ExampleMatcher.GenericPropertyMatcher` `storeDefaultMatching()` Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.DEFAULT`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericPropertyMatchers

    public GenericPropertyMatchers()

### Method Detail

#### ignoreCase

    public static ExampleMatcher.GenericPropertyMatcher ignoreCase()

Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string case insensitive.

Returns:

#### caseSensitive

    public static ExampleMatcher.GenericPropertyMatcher caseSensitive()

Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string case sensitive.

Returns:

#### contains

    public static ExampleMatcher.GenericPropertyMatcher contains()

Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.CONTAINING`.

Returns:

#### endsWith

    public static ExampleMatcher.GenericPropertyMatcher endsWith()

Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.ENDING`.

Returns:

#### startsWith

    public static ExampleMatcher.GenericPropertyMatcher startsWith()

Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.STARTING`.

Returns:

#### exact

    public static ExampleMatcher.GenericPropertyMatcher exact()

Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.EXACT`.

Returns:

#### storeDefaultMatching

    public static ExampleMatcher.GenericPropertyMatcher storeDefaultMatching()

Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.DEFAULT`.

Returns:

#### regex

    public static ExampleMatcher.GenericPropertyMatcher regex()

Creates a `ExampleMatcher.GenericPropertyMatcher` that matches string using `ExampleMatcher.StringMatcher.REGEX`.

Returns: